Skip to main content
POST
/
api
/
v1
/
auth
/
otc
/
negotiated-fx
/
references
Create Negotiated FX Reference (Treasury)
curl --request POST \
  --url https://crypto.westminister.tech/api/v1/auth/otc/negotiated-fx/references \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agreed_transaction_date": "<string>",
  "fiat_currency": "<string>",
  "agreed_amount": "<string>",
  "reference_fx_rate": "<string>",
  "agreed_fx_rate": "<string>",
  "timezone": "<string>",
  "source_country": "<string>",
  "narration": "<string>",
  "pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "reference": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "reference_code": "<string>",
    "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "merchant_display_name": "<string>",
    "agreed_transaction_date": "2023-12-25",
    "timezone": "<string>",
    "expires_at": "2023-11-07T05:31:56Z",
    "asset": "<string>",
    "fiat_currency": "<string>",
    "network": "<string>",
    "agreed_amount": "<string>",
    "reference_fx_rate": "<string>",
    "agreed_fx_rate": "<string>",
    "narration": "<string>",
    "pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_by_display_name": "<string>",
    "consumed_at": "2023-11-07T05:31:56Z",
    "consumed_otc_deposit_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "gross_fiat_amount": "<string>",
    "gross_crypto_amount": "<string>",
    "net_fiat_amount": "<string>",
    "net_crypto_amount": "<string>",
    "total_fee_amount": "<string>",
    "fee_currency": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
merchant_id
string<uuid>
required
agreed_transaction_date
string
required

YYYY-MM-DD in the resolved reference timezone

asset
enum<string>
required
Available options:
USDT,
USDC
fiat_currency
string
required
amount_type
enum<string>
required
Available options:
fiat,
crypto
agreed_amount
string
required
reference_fx_rate
string
required

Desk reference rate (fiat per 1 crypto)

agreed_fx_rate
string
required

Treasury-negotiated rate (fiat per 1 crypto)

timezone
string

Optional IANA timezone (e.g. America/Toronto, Africa/Nairobi). Overrides corridor defaults.

source_country
string

Optional ISO 3166-1 alpha-2 or alpha-3. Uses countries.default_timezone when timezone is omitted.

network
enum<string>
Available options:
tron,
ethereum,
solana
narration
string
pricing_profile_id
string<uuid>

Optional. Defaults to active b2b OTC deposit profile.

Response

Reference created

reference
object